Description

For some reason, EML 2 Dataset actors are not outputting any tokens for most output formats. The data exists at
.kepler/cache/cachedata, as expected. If | set the EML 2 Dataset Data Output Format to As ColumnBased Record, then | get an
error message, "The data cloumn (sic) didn't match head column”. If | set the EML 2 Dataset Data Output Format to "As All Cache
File Names", then things seem to work as expected. All other output formats don't seem to work.

Things were definitely working as of Dec. 8 and possibly Dec. 10.

History

#1 - 01/08/2010 12:39 PM - ben leinfelder

the cached data files are set as a data source for HSQL tables (SET TEXT....SOURCE) - but the path to the hsgldb was recently changed and so the
relative paths to the data files are broken.

The hsqldb should be in .kepler/cache/cachedata/ so that the datafiles in that directory can be referenced.
A similar problem came up with the provenance DB's path being changed (though I'm not sure it manifested as the same SET TEXT symptoms).

At any rate, we need to not change this location in the future, or if we do, we need the cached data files to be in the same directory (or we need to
refactor it all).

Derik said Dan was working on restoring the provenance db to it's original location and that he'd probably be able to do the same for the cache db

#2 - 01/08/2010 01:37 PM - ben leinfelder

dan fixed it

#3 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4655
